Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_ECDH2_DERIVE_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_OBJECT_HANDLE | hPrivateData
CK_EC_KDF_TYPE | kdf
CK_BYTE_PTR | pPublicData
CK_BYTE_PTR | pPublicData2
CK_BYTE_PTR | pSharedData
CK_ULONG | ulPrivateDataLen
CK_ULONG | ulPublicDataLen
CK_ULONG | ulPublicDataLen2
CK_ULONG | ulSharedDataLen

## Detailed Description

Definition at line 1321 of file pkcs11t.h.

## Member Data Documentation

CK_OBJECT_HANDLE CK_ECDH2_DERIVE_PARAMS::hPrivateData

Definition at line 1328 of file pkcs11t.h.

CK_EC_KDF_TYPE CK_ECDH2_DERIVE_PARAMS::kdf

Definition at line 1322 of file pkcs11t.h.

CK_BYTE_PTR CK_ECDH2_DERIVE_PARAMS::pPublicData

Definition at line 1326 of file pkcs11t.h.

CK_BYTE_PTR CK_ECDH2_DERIVE_PARAMS::pPublicData2

Definition at line 1330 of file pkcs11t.h.

CK_BYTE_PTR CK_ECDH2_DERIVE_PARAMS::pSharedData

Definition at line 1324 of file pkcs11t.h.

CK_ULONG CK_ECDH2_DERIVE_PARAMS::ulPrivateDataLen

Definition at line 1327 of file pkcs11t.h.

CK_ULONG CK_ECDH2_DERIVE_PARAMS::ulPublicDataLen

Definition at line 1325 of file pkcs11t.h.

CK_ULONG CK_ECDH2_DERIVE_PARAMS::ulPublicDataLen2

Definition at line 1329 of file pkcs11t.h.

CK_ULONG CK_ECDH2_DERIVE_PARAMS::ulSharedDataLen

Definition at line 1323 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h